Gtk::Menu_Helpers::StockMenuElem Class Reference
Inheritance diagram for Gtk::Menu_Helpers::StockMenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::StockMenuElem:
[legend]

## Public Member Functions

| StockMenuElem (const Gtk::StockID& stock_id, const CallSlot& slot=CallSlot())
| Create a non-accelerated MenuItem from a stock item. More...
| StockMenuElem (const Gtk::StockID& stock_id, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create an accelerated MenuItem from a stock item. More...
| StockMenuElem (const Gtk::StockID& stock_id, Gtk::Menu& submenu)
| Create a non-accelerated MenuItem from a stock item with a submenu. More...
| StockMenuElem (const Gtk::StockID& stock_id, const AccelKey& key, Gtk::Menu& submenu)
| Create an accelerated MenuItem from a stock item with a submenu. More...
Public Member Functions inherited from Gtk::Menu_Helpers::Element
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Additional Inherited Members

Public Types inherited from Gtk::Menu_Helpers::Element
typedef sigc::slot< void > | CallSlot
Protected Member Functions inherited from Gtk::Menu_Helpers::Element
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)
Protected Attributes inherited from Gtk::Menu_Helpers::Element
Glib::RefPtr< MenuItem > | child_

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a non-accelerated MenuItem from a stock item.

Parameters

  stock_id | The ID of the stock item
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create an accelerated MenuItem from a stock item.

Parameters

  stock_id | The ID of the stock item
  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | Gtk::Menu& | submenu
| ) |  |

Create a non-accelerated MenuItem from a stock item with a submenu.

Parameters

  stock_id | The ID of the stock item
  submenu | The sub menu

Gtk::Menu_Helpers::StockMenuElem::StockMenuElem | ( | const Gtk::StockID& | stock_id,
|  | const AccelKey& | key,
|  | Gtk::Menu& | submenu
| ) |  |

Create an accelerated MenuItem from a stock item with a submenu.

Parameters

  stock_id | The ID of the stock item
  key | The accelerator key combination
  submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h